Bug 62870 - problem during mounting vfat32 partitions
problem during mounting vfat32 partitions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-06 16:27 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-06 16:27:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-06 16:27:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (WinNT; U)

Description of problem:
Mounting vfat partition caused kernel loading to hang

Version-Release number of selected component (if applicable):
Redhat Linux 7.2


How reproducible:
Always

Steps to Reproduce:
1. Install
2. start up
3.
	

Actual Results:  Recently I bought Redhat 7.2 from you to upgrade from Redhat 6.2 to this new version. Here is my system:
Pentium III 600 MHZ with 128 MB memory. I have dual boot partition: Linux & windows.
I upgraded from 6.2 to 7.2. After the upgrade, the linux kernel could not load. I got the following messages:

/dev/hdba1: clean [so many blocks...]
/dev/hdb1: clean [so many blocks...]
(next line) HANGS FOREVER

Then I had to manually comment out the following line from /etc/fstab in linux rescue mode to get it going:

"/dev/hda3  /win98  vfat defaults  1   1"

After this, the kernel could load. However, when I shutdown or reboot the system, I get the message:

"/dev/hda not cleanly mounted"

Next time I start the system, it gives me a message:

"/dev/hda not cleanly unmounted. Check forced"

Then it runs a long fsck on /dev/hda. This happens EVERYTIME I star the kernel. The result of fsck is the following:

"Incorrect inode....Corrected." (the inode # varies)

Aparently, anaconda in 7.2 does not supply drivers for vfat partitions. Note that this was never a problem when I upgraded from Redhat 5.2 to 6.2 about 2 years ago 
on the SAME system and SAME partitions.

Expected Results:  kernel should load errorfree.

Additional info:

I'm submitting this bug report with advice from Redhat On line technical support (Evelyn Robles).

Please see service request # 202372, if you need details.

Jaideep Ghosh
Comment 1 Jeremy Katz 2002-04-08 20:29:29 EDT
Your fstab is incorrect and you should not try checking vfat partitions. 
Something like the following will work better

"/dev/hda3  /win98  vfat defaults  0   0"

Note You need to log in before you can comment on or make changes to this bug.